Subject: Re: [PATCH RFC net-next] net: phy: add Marvell PHY PTP support [multicast/DSA issues]

From: Jakub Kicinski <[email-masked]>
Date: Thu, 2 Mar 2023 09:23:20 -0800

On Thu, 2 Mar 2023 18:06:16 +0100 Köry Maincent wrote:
> I have measured it with the Marvell PHY and MACB MAC but it is the contrary on
> my side:
> https://lkml.kernel.org/netdev/20230302113752.057a3213@kmaincent-XPS-13-7390/
> Also PHY default seems more logical as it is nearer to the physical link, but
> still I am interesting by the answer as I am not a PTP expert. Is really PTP
> MAC often more precise than PTP PHY?

Do you happen to have a datasheet for MACB? The time stamping
capability is suspiciously saved in a variable called hw_dma_cap
which may indicate it's a DMA time stamp not a true PTP stamp.

Quite a few NICs/MACs support DMA time stamps because it's far 
easier to take the stamp where the descriptor writing logic is
(DMA block) than take it at the end of the MAC and haul it all 
the way thru the pipeline back to the DMA block.